## cross-toolchain-base 68ubuntu1

=== debian/changelog ===
cross-toolchain-base (68ubuntu1) noble; urgency=medium

  * Build using glibc 2.38-3ubuntu1.
  * Build using binutils 2.41-6ubuntu1.
  * Build using gcc 13.2.0-6ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Oct 2023 10:10:59 +0100
