=== debian/rules ===
--- 
+++ 
@@ -70,10 +70,10 @@
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.38-3~
-  MIN_VER_LINUX	:= 6.5.0
-  MIN_VER_GCC		:= 13.2.0-6~
-  MIN_VER_BINUTILS	:= 2.41-6~
+  MIN_VER_GLIBC	:= 2.39-0ubuntu7~
+  MIN_VER_LINUX	:= 6.8.0
+  MIN_VER_GCC		:= 13.2.0-23~
+  MIN_VER_BINUTILS	:= 2.42-4~
   VER_GCC_BASE		:= 13
   libgcc_base		:= gcc-s
 endif
@@ -88,7 +88,7 @@
 VER_BINUTILS     := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-'|cut -d '.' -f1-3)
 PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-')
 DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog)
-VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | cut -f 1 -d '-')
+VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | sed 's/-[^-]*$$//')
 DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog)
 
 LINUX_BUILT_USING := linux (= $(shell echo $(DEB_VER_LINUX) | sed 's/+.*$$//'))
