## cross-toolchain-base 69

=== debian/changelog ===
cross-toolchain-base (69) unstable; urgency=medium

  * Build using linux 6.7.12.
  * Build using binutils 2.42-4.
  * Build using gcc 13.2.0-25.
  * Build using glibc 2.38-11.

 -- Matthias Klose <doko@debian.org>  Thu, 16 May 2024 10:05:39 +0200
