=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Standards-Version: 4.6.2
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.21.17), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.42-4~),
-  glibc-source (>= 2.39-0ubuntu7~),
-  gcc-13-source (>= 13.2.0-23~), g++-13 (>= 13.2.0-23~),
-  linux-source-6.8.0 (>= 6.8.0), linux-libc-dev (>= 6.8.0),
+  binutils-source (>= 2.42-1~),
+  glibc-source (>= 2.38-11~),
+  gcc-13-source (>= 12.3.0-25~), g++-13 (>= 12.3.0-25~),
+  linux-source-6.7 (>= 6.7.12), linux-libc-dev (>= 6.7.12),
   autoconf (>= 2.69), autoconf2.69, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper-compat (= 13),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
@@ -26,8 +26,8 @@
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32],
   libjansson-dev, pkg-config,
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
-  binutils-x86-64-linux-gnu [!amd64], binutils-i686-linux-gnu [!i386], binutils-s390x-linux-gnu [!s390x], binutils-powerpc64le-linux-gnu [!ppc64el], binutils-aarch64-linux-gnu [!arm64], binutils-arm-linux-gnueabihf [!armhf], binutils-arm-linux-gnueabi [!armel], binutils-riscv64-linux-gnu [!riscv64], binutils-powerpc-linux-gnu [!powerpc],
-  libc6-amd64-cross, linux-libc-dev-amd64-cross, libc6-i386-cross, linux-libc-dev-i386-cross, libc6-s390x-cross, linux-libc-dev-s390x-cross, libc6-ppc64el-cross, linux-libc-dev-ppc64el-cross, libc6-arm64-cross, linux-libc-dev-arm64-cross, libc6-armhf-cross, linux-libc-dev-armhf-cross, libc6-armel-cross, linux-libc-dev-armel-cross, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, libc6-powerpc-cross, linux-libc-dev-powerpc-cross,
+  binutils-x86-64-linux-gnu [!amd64], binutils-i686-linux-gnu [!i386], binutils-s390x-linux-gnu [!s390x], binutils-powerpc64le-linux-gnu [!ppc64el], binutils-aarch64-linux-gnu [!arm64], binutils-arm-linux-gnueabihf [!armhf], binutils-arm-linux-gnueabi [!armel], binutils-riscv64-linux-gnu [!riscv64],
+  libc6-amd64-cross, libc6-i386-cross, libc6-s390x-cross, libc6-ppc64el-cross, libc6-arm64-cross, libc6-armhf-cross, libc6-armel-cross, libc6-riscv64-cross,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
 
 Package: linux-libc-dev-amd64-cross
@@ -90,18 +90,6 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
-Package: linux-libc-dev-powerpc-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-powerpc-cross, linux-libc-dev-powerpc-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
 Package: linux-libc-dev-ppc64el-cross
 Architecture: all
 Multi-Arch: foreign
@@ -151,18 +139,6 @@
  the system. This package includes shared versions of the standard C library
  and the standard math library, as well as many others.
 
-Package: libc6-dbg-amd64-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
 Package: libc6-dev-amd64-cross
 Architecture: all
 Multi-Arch: foreign
@@ -189,18 +165,6 @@
  the system. This package includes shared versions of the standard C library
  and the standard math library, as well as many others.
 
-Package: libc6-dbg-arm64-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
 Package: libc6-dev-arm64-cross
 Architecture: all
 Multi-Arch: foreign
@@ -227,18 +191,6 @@
  the system. This package includes shared versions of the standard C library
  and the standard math library, as well as many others.
 
-Package: libc6-dbg-armel-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
 Package: libc6-dev-armel-cross
 Architecture: all
 Multi-Arch: foreign
@@ -265,17 +217,65 @@
  the system. This package includes shared versions of the standard C library
  and the standard math library, as well as many others.
 
-Package: libc6-dbg-armhf-cross
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: debug
-Built-Using: ${bu:glibc}
-Description: GNU C Library: detached debugging symbols (for cross-compiling)
- This package was generated by dpkg-cross for cross compiling.
- .
- This package contains the detached debugging symbols for the GNU C
- library.
-
 Package: libc6-dev-armhf-cross
 Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: ${misc:Depends}
+Conflicts: binutils-armhf-cross (<< 2.20.1-1), binutils-gold-armhf-cross (<< 2.20.1-11)
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the symlinks, headers, and object files needed to compile
+ and link programs which use the standard C library.
+
+Package: libc6-i386-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the standard libraries that are used by nearly all programs on
+ the system. This package includes shared versions of the standard C library
+ and the standard math library, as well as many others.
+
+Package: libc6-dev-i386-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: ${misc:Depends}
+Conflicts: binutils-i386-cross (<< 2.20.1-1), binutils-gold-i386-cross (<< 2.20.1-11)
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the symlinks, headers, and object files needed to compile
+ and link programs which use the standard C library.
+
+Package: libc6-ppc64el-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends}
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Shared libraries (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
+ Contains the standard libraries that are used by nearly all programs on
+ the system. This package includes shared versions of the standard C library
+ and the standard math library, as well as many others.
+
+Package: libc6-dev-ppc64el-cross
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: ${misc:Depends}
+Conflicts: binutils-ppc64el-cross (<< 2.20.1-1), binutils-gold-ppc64el-cross (<< 2.20.1-11)
+Built-Using: ${bu:glibc}
+Description: GNU C Library: Development Libraries and Header Files (for cross-compiling)
+ This package was generated by dpkg-cross for cross compiling.
+ .
