=== debian/rules ===
--- 
+++ 
@@ -61,18 +61,18 @@
 CROSS_GNU_TYPE   = $(call _gnu_type,${CROSS_ARCH})
 CROSS_PKG_GNU_TYPE = $(subst _,-,$(call _gnu_type,${CROSS_ARCH}))
 
-MIN_VER_GLIBC		:= 2.37-3~
-MIN_VER_LINUX		:= 6.5.8
-MIN_VER_GCC		:= 12.3.0-11~
-MIN_VER_BINUTILS	:= 2.41-6~
-VER_GCC_BASE		:= 12
+MIN_VER_GLIBC		:= 2.38-11~
+MIN_VER_LINUX		:= 6.7.12
+MIN_VER_GCC		:= 12.3.0-25~
+MIN_VER_BINUTILS	:= 2.42-4~
+VER_GCC_BASE		:= 13
 libgcc_base		:= gcc-s
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.39-0ubuntu7~
+  MIN_VER_GLIBC	:= 2.39-0~
   MIN_VER_LINUX	:= 6.8.0
-  MIN_VER_GCC		:= 13.2.0-23~
+  MIN_VER_GCC		:= 13.2.0-25~
   MIN_VER_BINUTILS	:= 2.42-4~
   VER_GCC_BASE		:= 13
   libgcc_base		:= gcc-s
@@ -88,7 +88,7 @@
 VER_BINUTILS     := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-'|cut -d '.' -f1-3)
 PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-')
 DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog)
-VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | sed 's/-[^-]*$$//')
+VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | cut -f 1 -d '-')
 DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog)
 
 LINUX_BUILT_USING := linux (= $(shell echo $(DEB_VER_LINUX) | sed 's/+.*$$//'))
@@ -111,6 +111,7 @@
 # FIXME: No conflict for the host == cross case ...
 BINUTILS_BUILD_CONFLICTS = $(foreach a,$(CROSS_ARCHS),binutils-$(subst _,-,$(call _gnu_type,$(a))) [!$(a)]$(,))
 GLIBC_BUILD_CONFLICTS = $(foreach a,$(CROSS_ARCHS),libc6-$(a)-cross$(,) linux-libc-dev-$(a)-cross$(,))
+GLIBC_BUILD_CONFLICTS = $(foreach a,$(CROSS_ARCHS),libc6-$(a)-cross$(,))
 
 # taken from gcc packaging
 define unpack_tarball
@@ -190,7 +191,3 @@
 	cd binutils-${VER_BINUTILS} ;\
 	cp -a ${BINUTILS_DIR}/debian/ . ;\
 	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/binutils/series)" ]; then \
-	  QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt --quiltrc /dev/null  push -a; \
-	fi; \
-	rm -rf .pc
-	cd binutils-${VER_BINUTILS} ;\
