## cross-toolchain-base 70

=== debian/changelog ===
cross-toolchain-base (70) unstable; urgency=medium

  * Build using glibc 2.39-4.
  * Build using linux 6.9.9.
  * Build using gcc 13.3.0-3.
  * Drop build dependency on autogen. Closes: #1076255.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jul 2024 10:08:27 +0200
