=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Standards-Version: 4.6.2
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.21.17), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.42-1~),
-  glibc-source (>= 2.38-11~),
-  gcc-13-source (>= 12.3.0-25~), g++-13 (>= 12.3.0-25~),
-  linux-source-6.7 (>= 6.7.12), linux-libc-dev (>= 6.7.12),
-  autoconf (>= 2.69), autoconf2.69, autogen,
+  binutils-source (>= 2.42-4~),
+  glibc-source (>= 2.39-4~),
+  gcc-13-source (>= 13.3.0-3~), g++-13 (>= 13.3.0-3~),
+  linux-source-6.9 (>= 6.9.9), linux-libc-dev (>= 6.9.9),
+  autoconf (>= 2.69), autoconf2.69,
   automake, bison (>= 1:2.3), chrpath, debhelper-compat (= 13),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
   dwz, debugedit (>= 4.16), gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
