=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Standards-Version: 4.6.2
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.21.17), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.42-4~),
-  glibc-source (>= 2.39-4~),
-  gcc-13-source (>= 13.3.0-3~), g++-13 (>= 13.3.0-3~),
-  linux-source-6.9 (>= 6.9.9), linux-libc-dev (>= 6.9.9),
+  binutils-source (>= 2.41-6~),
+  glibc-source (>= 2.38-6~),
+  gcc-12-source (>= 12.3.0-17~), g++-12 (>= 12.3.0-17~),
+  linux-source-6.5 (>= 6.5.10), linux-libc-dev (>= 6.5.10),
   autoconf (>= 2.69), autoconf2.69,
   automake, bison (>= 1:2.3), chrpath, debhelper-compat (= 13),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
