## cross-toolchain-base 70ubuntu5

=== debian/changelog ===
cross-toolchain-base (70ubuntu5) oracular; urgency=medium

  * Build using glibc 2.40-1ubuntu3.
  * Build using gcc 14.2.0-4ubuntu2.
  * Build using binutils 2.43.1-4ubuntu1.
  * Build using linux 6.11.0.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Sep 2024 15:26:52 +0200

cross-toolchain-base (70ubuntu3) oracular; urgency=medium

  * Build using glibc 2.40-1ubuntu1.
  * Build using gcc 14.1.0-1.
  * Build using binutils 2.43-1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2024 05:18:41 +0200

cross-toolchain-base (70ubuntu2) oracular; urgency=medium

  * Build using gcc 13.3.0-3.
  * Build using glibc 2.39-3.1ubuntu3.
  * Don't build multilib packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Jul 2024 15:14:30 +0200
